Retrieve timeseries of an A/B test
Retrieves timeseries for an A/B test by its ID.
analyticsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique A/B test identifier.
224
Query Parameters
End date of the period to analyze, in YYYY-MM-DD format.
"2023-01-21"
Statistical analysis results to include, as a comma-separated list.
When omitted, each test uses its configured method, or frequentist if no method is configured.
Request both methods to include both sets of available results. This doesn't change the test configuration or compute missing results.
Duplicate values aren't allowed.
1A/B test statistical analysis method.
When omitted, new A/B tests use bayesian.
They use frequentist instead only if no primary metric that supports Bayesian analysis is available.
The selected method is saved in the A/B test configuration.
Older A/B tests, created before methods were saved, may have no method in their configuration.
These tests use frequentist.
bayesian, frequentist List of metrics to retrieve. If not specified, all metrics are returned.
search_count, tracked_search_count, user_count, tracked_user_count, no_result_count, tracked_no_result_count, add_to_cart_count, purchase_count, clicked_search_count, converted_search_count, click_through_rate, conversion_rate, add_to_cart_rate, purchase_rate, average_click_position, revenue, revenue_per_search, average_order_value Start date of the period to analyze, in YYYY-MM-DD format.
"2022-09-19"
Response
OK
Unique A/B test identifier.
224
A/B test timeseries variants.
The first variant is your control index, typically your production index. All of the additional variants are indexes with changed settings that you want to test against the control.